curl --request POST \
--url https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": [
"signer@example.com",
"cc@example.com"
],
"emailMessage": "Please take a look before the end of the week."
}
'import requests
url = "https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients"
payload = {
"recipients": ["signer@example.com", "cc@example.com"],
"emailMessage": "Please take a look before the end of the week."
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: ['signer@example.com', 'cc@example.com'],
emailMessage: 'Please take a look before the end of the week.'
})
};
fetch('https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'recipients' => [
'signer@example.com',
'cc@example.com'
],
'emailMessage' => 'Please take a look before the end of the week.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients"
payload := strings.NewReader("{\n \"recipients\": [\n \"signer@example.com\",\n \"cc@example.com\"\n ],\n \"emailMessage\": \"Please take a look before the end of the week.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"recipients\": [\n \"signer@example.com\",\n \"cc@example.com\"\n ],\n \"emailMessage\": \"Please take a look before the end of the week.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recipients\": [\n \"signer@example.com\",\n \"cc@example.com\"\n ],\n \"emailMessage\": \"Please take a look before the end of the week.\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.This response has no body data.This response has no body data.This response has no body data.This response has no body data.Notify selected quote recipients by email
Notifies the selected recipients of a published quote. A signing contact or counter signer receives a reminder while the quote is ready to sign, or the quote-published email while it is only published; a cc contact always receives the notify-cc email. A recipient who has already signed is skipped. The quote must have no unpublished changes: publish the latest version before notifying recipients.
curl --request POST \
--url https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": [
"signer@example.com",
"cc@example.com"
],
"emailMessage": "Please take a look before the end of the week."
}
'import requests
url = "https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients"
payload = {
"recipients": ["signer@example.com", "cc@example.com"],
"emailMessage": "Please take a look before the end of the week."
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: ['signer@example.com', 'cc@example.com'],
emailMessage: 'Please take a look before the end of the week.'
})
};
fetch('https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'recipients' => [
'signer@example.com',
'cc@example.com'
],
'emailMessage' => 'Please take a look before the end of the week.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients"
payload := strings.NewReader("{\n \"recipients\": [\n \"signer@example.com\",\n \"cc@example.com\"\n ],\n \"emailMessage\": \"Please take a look before the end of the week.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"recipients\": [\n \"signer@example.com\",\n \"cc@example.com\"\n ],\n \"emailMessage\": \"Please take a look before the end of the week.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.sequencehq.com/api/quotes/{quoteId}/notify-recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recipients\": [\n \"signer@example.com\",\n \"cc@example.com\"\n ],\n \"emailMessage\": \"Please take a look before the end of the week.\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.This response has no body data.This response has no body data.This response has no body data.This response has no body data.Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
2024-07-30 Path Parameters
Quote Id
Body
Emails of the quote's contacts, counter signers and cc contacts to notify. Each must belong to a recipient on the latest published version of the quote.
["signer@example.com", "cc@example.com"]
An optional message to include in each email sent to the selected recipients.
"Please take a look before the end of the week."
Response
Accepted